SCCM Current Branch and domain functional level

If you are thinking to upgrade your SCCM  environment to the SCCM Current Branch versions as 1511 . You need first check your domain functional level. Until the SCCM 2012 R2 SP1 the Windows Server 2003 domain functional level was supported  https://technet.microsoft.com/en-us/library/gg682077.aspx .

However the Windows Server 2003 and 2008 domain functional levels are  not supported in the new SCCM Current Branch versions,  if you still have domain controllers with 2003 or 2008 OS, it is really time to start to put in place a migration plan.

Windows 2003 is no longer a supported OS, there are no security updates and you are missing all the goodies of the latest version. In the SCCM Current brand (1511, up) only the following domain functional levels are supported:

  • Windows Server 2008 R2
  • Windows Server 2012
  • Windows Server 2012 R2

https://technet.microsoft.com/en-us/library/mt617258.aspx

If you already upgrade all our domain controllers to a minimum 2008 R2 and did not changed the domain & forest functional levels, but you want do deploy the SCCM  or upgrade your current SCCM environment,  it’s time to change your domain functional level. If you want more information about considerations before you elevate Forest & Domain functional Level please check the following link 

Leave a Reply

Your email address will not be published. Required fields are marked *